### Constructor

# PapersView DocumentModel new_with_document

#### Declaration [src]

    PpsDocumentModel*
    pps_document_model_new_with_document (
      PpsDocument* document
    )

#### Description

No description available.

#### Parameters

`document`

  Type: `PpsDocument`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `PpsDocumentModel`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.